DATA temp1;
	INFILE 'D:\Documents and Settings\kjgrimm\My Documents\20110110\20110302a\Growth Curve Book\Chapter 17\fscores_fc.dat' LINESIZE = 1000;
	INPUT 
    MATH2          F10.3
    MATH3          F10.3
    MATH4          F10.3
    MATH5          F10.3
    MATH6          F10.3
    MATH7          F10.3
    MATH8          F10.3
    REC2           F10.3
    REC3           F10.3
    REC4           F10.3
    REC5           F10.3
    REC6           F10.3
    REC7           F10.3
    REC8           F10.3
    H1             F10.3
    H1_SE          F10.3
    H2             F10.3
    H2_SE          F10.3
    H3             F10.3
    H3_SE          F10.3
    H4             F10.3
    H4_SE          F10.3
    H5             F10.3
    H5_SE          F10.3
    H6             F10.3
    H6_SE          F10.3
    H7             F10.3
    H7_SE          F10.3
    D2             F10.3
    D2_SE          F10.3
    D3             F10.3
    D3_SE          F10.3
    D4             F10.3
    D4_SE          F10.3
    D5             F10.3
    D5_SE          F10.3
    D6             F10.3
    D6_SE          F10.3
    D7             F10.3
    D7_SE          F10.3
    G2             F10.3
    G2_SE          F10.3
    K1             F10.3
    K1_SE          F10.3
    K2             F10.3
    K2_SE          F10.3
    K3             F10.3
    K3_SE          F10.3
    K4             F10.3
    K4_SE          F10.3
    K5             F10.3
    K5_SE          F10.3
    K6             F10.3
    K6_SE          F10.3
    K7             F10.3
    K7_SE          F10.3
    C2             F10.3
    C2_SE          F10.3
    C3             F10.3
    C3_SE          F10.3
    C4             F10.3
    C4_SE          F10.3
    C5             F10.3
    C5_SE          F10.3
    C6             F10.3
    C6_SE          F10.3
    C7             F10.3
    C7_SE          F10.3
    J2             F10.3
    J2_SE          F10.3;
	id = _N_;
	Ran = RANUNI(20130930);
RUN;

DATA temp2;
	SET temp1;
	grade = 2; h = h1; k=k1; OUTPUT;
	grade = 3; h = h2; k=k2; OUTPUT;
	grade = 4; h = h3; k=k3; OUTPUT;
	grade = 5; h = h4; k=k4; OUTPUT;
	grade = 6; h = h5; k=k5; OUTPUT;
	grade = 7; h = h6; k=k6; OUTPUT;
	grade = 8; h = h7; k=k7; OUTPUT;

KEEP id ran grade h k;
RUN;


*Plotting Scores over time;
GOPTIONS
	FTEXT = ARIAL
	CTEXT = BLACK
	HTEXT = 1.5;
PROC GPLOT DATA = temp2 (WHERE = (ran < .05));
	TITLE1 'PIAT Mathematics by Grade';
	SYMBOL
		Interpol=smooth
		Color=black
		Repeat=50000
		Value=none
		Height=.5
		Width=3;
	AXIS1
		LABEL = (F=ARIAL H = 2 A=90 'PIAT Mathematics')
		ORDER = (0 to 90 BY 10)
		MINOR = none;
	AXIS2
		LABEL = (F=ARIAL H = 2 'Grade')
		ORDER = (2 to 8 BY 1)
		OFFSET= (5 PCT, 5 PCT)
		MINOR = none;

	PLOT h * grade = id/NOLEGEND VAXIS= AXIS1 HAXIS=AXIS2;
RUN;


PROC GPLOT DATA = temp2 (WHERE = (ran < .05));
	TITLE1 'PIAT Reading Recognition by Grade';
	SYMBOL
		Interpol=smooth
		Color=black
		Repeat=50000
		Value=none
		Height=.5
		Width=3;
	AXIS1
		LABEL = (F=ARIAL H = 2 A=90 'PIAT Reading Recognition')
		ORDER = (0 to 90 BY 10)
		MINOR = none;
	AXIS2
		LABEL = (F=ARIAL H = 2 'Grade')
		ORDER = (2 to 8 BY 1)
		OFFSET= (5 PCT, 5 PCT)
		MINOR = none;

	PLOT k * grade = id/NOLEGEND VAXIS= AXIS1 HAXIS=AXIS2;
RUN;



DATA temp;
    DO m = 10 to 90 BY 5;
        DO r = 10 to 90 BY 5;

        dm = m + (15.201 - 0.295*m + 0.052*r)/5;
        dr = r + (10.987 - 0.487*r + 0.381*m)/5;
        OUTPUT;
        END;
    END;
RUN;

DATA temp3;
    SET temp temp2;
RUN;

ODS LISTING STYLE=JOURNAL IMAGE_DPI=300;
ODS GRAPHICS ON / RESET=ALL IMAGEFMT=GIF WIDTH=4in IMAGENAME='gif';
proc sgplot data=temp3 noautolegend;
    title ' ';
    vector x = dr y = dm / xorigin = r yorigin=m;
    ellipse x = k y = h;
    xaxis 
        values = (10 to 90 BY 10)
        label = 'Reading Recognition';
    yaxis
        values = (10 to 90 BY 10)
        label = 'Mathematics';
RUN;
ODS GRAPHICS OFF;


